import type { IASMAAppsObject } from './interfaces';
import type { loadMicroApp } from './qiankun';
import type { QiankunWindow } from './vite-plugin-qiankun-react/vitePluginQiankunHelper';
export {};
declare global {
    interface Window {
        __ENV?: Record<string, string>;
        __GLOBAL_CONCURENT_QIANKUN__?: Record<string, QiankunWindow>;
        qiankunName?: string;
        __MICROAPP_REGISTRY?: {
            name: string;
            entry: string;
            container: string;
            loader: (loading: boolean) => void;
            activeRule: string;
        }[];
        __ASMA__SHELL__?: {
            appsObject?: IASMAAppsObject;
            loadMicroApp?: typeof loadMicroApp;
        };
    }
}
//# sourceMappingURL=global.d.ts.map